package com.wluper.wluper_sdk.network
import io.reactivex.Single
import okhttp3.OkHttpClient
import retrofit2.Retrofit
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.Body
import retrofit2.http.POST
import retrofit2.http.Path

interface LOGApi {


    @POST("/v1/clients/{client_id}/logging")
    fun logging( @Path("client_id") client_id:String, @Body body: com.wluper.wluper_sdk.models.WluperLog): Single<Any>

    companion object {
        var BASE_URL = "https://isq0syz8kg.execute-api.ap-southeast-1.amazonaws.com"
        fun create(xapikey:String) : LOGApi {
            val httpClient = OkHttpClient.Builder()
            httpClient.addInterceptor { chain ->
                val original = chain.request()
                val requestBuilder = original.newBuilder()
                    .header("x-api-key", xapikey)
                val request = requestBuilder.build()
                chain.proceed(request)
            }
            val retrofit = Retrofit.Builder()
                .baseUrl(BASE_URL)
                .addConverterFactory(GsonConverterFactory.create())
                .addCallAdapterFactory(RxJava2CallAdapterFactory.create())
                .client(httpClient.build())
                .build()
            return retrofit.create(LOGApi::class.java)
        }
    }
}





