package com.wluper.wluper_sdk.network
import io.reactivex.Single
import okhttp3.OkHttpClient
import retrofit2.Retrofit
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.Body
import retrofit2.http.POST

interface TUApi {
    @POST("staging/true-understanding/understand")
    fun understand(@Body body: com.wluper.wluper_sdk.models.BodyUnderstand): Single<Any>

    companion object {
        var BASE_URL = "https://zzlkqzn1kd.execute-api.eu-west-2.amazonaws.com"
        fun create(xapikey:String) : TUApi {
            val httpClient = OkHttpClient.Builder()
            httpClient.addInterceptor { chain ->
                val original = chain.request()
                val requestBuilder = original.newBuilder()
                    .header("x-api-key", xapikey)
                val request = requestBuilder.build()
                chain.proceed(request)
            }
            val retrofit = Retrofit.Builder()
                .baseUrl(BASE_URL)
                .addConverterFactory(GsonConverterFactory.create())
                .addCallAdapterFactory(RxJava2CallAdapterFactory.create())
                .client(httpClient.build())
                .build()
            return retrofit.create(TUApi::class.java)
        }
    }
}





