package com.example.wluper_plugin_flutter.sdk.utils

import android.util.Log
import com.wluper.wluper_sdk.models.WluperLog
import com.wluper.wluper_sdk.network.LOGApi
import com.wluper.wluper_sdk.network.TUApi
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.observers.DisposableSingleObserver
import io.reactivex.schedulers.Schedulers

class WluperLogManager(wluperLog:WluperLog ) {
    var _wluperLog: WluperLog;
    var _api: LOGApi

    init {
        _wluperLog = wluperLog
        _api = LOGApi.create("nT0uIssBh72JtXa8sXZRT7qZEN5I71SUnJLz5QUe")
    }

    fun post_event(event_name:String,event_value:String, session_id:String){
        _wluperLog.event_name = event_name;
        _wluperLog.event_value = event_value;
        _wluperLog.session_id = session_id;
        _wluperLog.timestamp = System.currentTimeMillis().toString();
        val call: DisposableSingleObserver<Any> = _api.logging("client1_id",_wluperLog)
            .subscribeOn(Schedulers.io())
            .subscribeWith(object : DisposableSingleObserver<Any>(){
                override fun onSuccess(value: Any) {
                    Log.e("Log",value.toString())
                }
                override fun onError(e: Throwable) {
                    Log.e("Log",e.toString())
                }
            })
    }

}